package org.jenkinsci.plugins.p4_client.connection;

import hudson.Extension;
import hudson.util.FormValidation;
import net.sf.json.JSONObject;

import org.kohsuke.stapler.DataBoundConstructor;
import org.kohsuke.stapler.QueryParameter;
import org.kohsuke.stapler.StaplerRequest;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class TicketConnection extends ConnectionProvider {

	@DataBoundConstructor
	public TicketConnection() {
	}

	@Extension
	public static final DescriptorImpl DESCRIPTOR = new DescriptorImpl();

	public static final class DescriptorImpl extends ConnectionDescriptor {

		private static Logger logger = LoggerFactory
				.getLogger(DescriptorImpl.class);

		public DescriptorImpl() {
			load();
		}

		@Override
		public boolean configure(StaplerRequest req, JSONObject json)
				throws FormException {

			save();
			return true;
		}

		@Override
		public String getDisplayName() {
			return "Ticket Authentication";
		}

		public FormValidation doCheckPort(@QueryParameter final String value) {
			return FormValidation.error("TODO doCheckPort");
		}

		public FormValidation doCheckUser(@QueryParameter final String value) {
			return FormValidation.error("TODO doCheckUser");
		}
	}

}
